/**
 * PersonNamePartMiscQualifier2.java
 *
 * File generated from the medication2::PersonNamePartMiscQualifier2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration PersonNamePartMiscQualifier2.
 *
 * 
 */

@XmlType(name = "PersonNamePartMiscQualifier")
@XmlEnum
@XmlRootElement(name = "PersonNamePartMiscQualifier2")
public enum PersonNamePartMiscQualifier2 {
	@XmlEnumValue("CL")
	CL("CL");
	
	private final String value;

    PersonNamePartMiscQualifier2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static PersonNamePartMiscQualifier2 fromValue(String v) {
        for (PersonNamePartMiscQualifier2 c: PersonNamePartMiscQualifier2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
